%Function to give the values of the elasticities from production functions

function X = solveelas(param)

global Y ekl ekz elz ekk ell ezz Ky Ly Z

yk = 1;
yl = 1;
yz = 1;
ykk = param(1);
ykl = param(2);
ykz = param(3);
yll = param(4);
ylz = param(5);
yzz = param(6);

BordHess = [0,yk,yl,yz;yk,ykk,ykl,ykz;yl,ykl,yll,ylz;yz,ykz,ylz,yzz];
F = det(BordHess);
Fzz = cofactor(BordHess,4,4);
Fkk = cofactor(BordHess,2,2);
Fll = cofactor(BordHess,3,3);
Fkl = cofactor(BordHess,2,3);
Fkz = cofactor(BordHess,2,4);
Flz = cofactor(BordHess,3,4);

X(1) = ekl - (Y/Ky/Ly)*Fkl/F;
X(2) = ekz - (Y/Ky/Z)*Fkz/F;
X(3) = elz - (Y/Ly/Z)*Flz/F;
X(4) = ekk - (Y/Ky/Ky)*Fkk/F;
X(5) = ell - (Y/Ly/Ly)*Fll/F;
X(6) = ezz - (Y/Z/Z)*Fzz/F;